SELECT
person.pid,
person.idcard,
ctitle.titlename as คำนำ,
person.fname as ชื่อ,
person.lname as นามสกุล,
CONCAT_WS('/',day(person.birth),MONTH(person.birth),year(person.birth)+543) AS `วันเดือนปีเกิด`,
person.birth AS 'BirthDate',
if(sex=1,'ชาย','หญิง') AS 'เพศ',
GetAgeYearNum(person.birth,CURRENT_DATE) AS อายุ,
person.hnomoi as บ้านเลขที่,
person.mumoi as หมู่ที่,
person.typelive as สถานะการอยู่อาศัย ,
person.dischargetype as สถานะการจำหน่าย
FROM person
INNER JOIN house ON person.pcucodeperson = house.pcucode AND person.hcode = house.hcode
INNER JOIN village ON house.pcucode = village.pcucode AND village.villcode = house.villcode
INNER JOIN ctitle ON person.prename = ctitle.titlecode
LEFT JOIN persondeath ON person.pcucodeperson = persondeath.pcucodeperson AND person.pid = persondeath.pid
WHERE persondeath.pid IS NULL 
and SUBSTRING(house.villcode,7,2) !='00'
AND person.typelive in ('0','1','3') #เลือกประเภทการอาศัย
AND year(person.birth) >= '2009'
#AND person.birth BETWEEN '2009-01-01' AND '2015-10-01'#ช่วงวันเกิด
#ORDER BY house.villcode,house.hno*1;
ORDER BY person.birth;